# OpenLayers.Handler.Pinch

The pinch handler is used to deal with sequences of browser events related to pinch gestures. The handler is used by controls that want to know when a pinch sequence begins, when a pinch is happening, and when it has finished.

Controls that use the pinch handler typically construct it with callbacks for ‘start’, ‘move’, and ‘done’. Callbacks for these keys are called when the pinch begins, with each change, and when the pinch is done.

Create a new pinch handler with the OpenLayers.Handler.Pinch constructor.

#### Inherits from

- OpenLayers.Handler

Summary

OpenLayers.Handler.Pinch | The pinch handler is used to deal with sequences of browser events related to pinch gestures.
Constructor |
OpenLayers.Handler.Pinch | Returns OpenLayers.Handler.Pinch

### Constructor

### OpenLayers.Handler.Pinch

Returns OpenLayers.Handler.Pinch

#### Parameters

control | {OpenLayers.Control} The control that is making use of this handler. If a handler is being used without a control, the handlers setMap method must be overridden to deal properly with the map.
callbacks | {Object} An object containing functions to be called when the pinch operation start, change, or is finished. The callbacks should expect to receive an object argument, which contains information about scale, distance, and position of touch points.
options | {Object}

Returns OpenLayers.Handler.Pinch
Base class to construct a higher-level handler for event sequences.
Controls affect the display or behavior of the map.
Close